# Configuration file for git-buildpackage and friends

[DEFAULT]
# use pristine-tar branch
pristine-tar = True
# generate xz compressed orig file
compression = xz
debian-branch = debian/sid
upstream-branch = upstream/latest

[pq]
patch-numbers = False

[dch]
id-length = 7 
debian-branch = debian/sid

[import-orig]
# filter the files out of the tarball passed to pristine-tar
filter-pristine-tar = True
# filter out unwanted files/dirs from upstream
filter = [
 '.travis.yml',
 'php/Files/Backend/Webdav/sabredav/vendor/sabre/dav',
 'php/Files/Backend/Webdav/sabredav/vendor/sabre/vobject',
 'php/lib/phpfastcache/examples',
 'resources/flash/charts.swf',
 ]
